<html>
<head>
<title>Ogre::Vector4 Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Vector4 Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Vector4" -->
<p>4-dimensional homogeneous vector.  
 <a href="classOgre_1_1Vector4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Vector4-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Vector4</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a75b3e58bb0eccad1c21b68958a33a9fc">Vector4</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fX, const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fY, const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fZ, const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fW)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a2e8dae854a7801e2aaa97bbed0b27374">Vector4</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afCoordinate[4])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a7da09ff768d847f015f3b1b9830a8043">Vector4</a> (const int afCoordinate[4])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a9d6cc1b910cf8d738b306995f3b442d4">Vector4</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ada9aac749e3d93a83a0e1bb67f3a091f">Vector4</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> scaler)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a019e80f62dd12ea37b27b2d2a05aed64">Vector4</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#aa1980e262c207bcd24ca89f2db9bd061">swap</a> (<a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;other)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exchange the contents of this vector with another.  <a href="#aa1980e262c207bcd24ca89f2db9bd061"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#aa55187a08d385c6c367cc16338ad23ce">operator[]</a> (const size_t i) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a96b4c5c76a199850c8c4e61be0feed7d">operator[]</a> (const size_t i)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ae8a0fc61bcae1449c843b3c5430cef1f">ptr</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#ae8a0fc61bcae1449c843b3c5430cef1f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a641d847ad0e066e213db1e1dadf43cee">ptr</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#a641d847ad0e066e213db1e1dadf43cee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a465dfb677017e546628f87470d6dbcd6">operator=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns the value of the other vector.  <a href="#a465dfb677017e546628f87470d6dbcd6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a69daa0f94cfeb2c725521b1672204bf7">operator=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ae7f48d8e2036594f4d65e2dca9fe286a">operator==</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a0aa33b3bb9f3b8b8ef7037eaf43bedc8">operator!=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a59f17a6c7980f16a571f535b2c47a8fc">operator=</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a0b8c03743d6b8f72149f914f03998689">operator+</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a78b1555cd0ea1bcd609086003444e614">operator-</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a931e2318675762b34e23681247220c12">operator*</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a0f3d72188da50999e3355da6fafa315b">operator*</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#afd54901fd7d3379584d0abd73a455518">operator/</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a50d14c785b00d8afbd124ffd0e9f0df5">operator/</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a785f4ea68705fdcca1dca8f09d4e1525">operator+</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a2123966b60d70dd14e7d165cbb47dba8">operator-</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ada0bb188b87a7187e49e9acfa4994a7f">operator+=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#acc233206a14cef454dd0d9428848ebfc">operator-=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a4ddc0b778ff8255a715c75dcf9527847">operator*=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a37efa8bb4db9148fb43c8238b21c1906">operator+=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a8a23c96373a8d8163ea5b7819f2b22f3">operator-=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#abd72d0322c60e4c39121547ff8ddc516">operator*=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a0c4b23241a97373da79afc6c993e1370">operator/=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a4c4def28bfaf96a3326747d2ef2ed08f">operator/=</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a14ced50f2a18dd194c3d95d7d031c5dd">dotProduct</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;vec) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the dot (scalar) product of this vector with another.  <a href="#a14ced50f2a18dd194c3d95d7d031c5dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ab53a41cf7ae8884b9fbac656d3fef338">isNaN</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check whether this vector contains valid values.  <a href="#ab53a41cf7ae8884b9fbac656d3fef338"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ac1f14b711795b4d13140e992d9a3e6cf">x</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a4a55a790632b60df0f536efa68de3bfa">y</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a389cf99ed365e8ec1d823c0a0cf52da3">z</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a601896b4f2f5be1d7ccd0ee4a0500237">w</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">ZERO</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ab1ae444cc19c4468260df273cfe7bc37">operator*</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a2dd10da814b39dc369ac4f96d0055a54">operator/</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rkVector)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a28efcff06858b5011bbc4250230539f0">operator+</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lhs, const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a4ec63fee2f096c1e845076797d1e140a">operator+</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a3b9ce3e33b491148161ac0e4116e709a">operator-</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lhs, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#ae2c5e61fcb0521bdea9c8d70069742f9">operator-</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lhs, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html#a7f9291e487a6dd6abdc8cc6325751cc3">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;v)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for writing to a stream.  <a href="#a7f9291e487a6dd6abdc8cc6325751cc3"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>4-dimensional homogeneous vector. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00045">45</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae4417c4a3d52ee6fafd4a9103343958c"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="ae4417c4a3d52ee6fafd4a9103343958c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00051">51</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75b3e58bb0eccad1c21b68958a33a9fc"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="a75b3e58bb0eccad1c21b68958a33a9fc" args="(const Real fX, const Real fY, const Real fZ, const Real fW)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fZ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fW</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00055">55</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2e8dae854a7801e2aaa97bbed0b27374"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="a2e8dae854a7801e2aaa97bbed0b27374" args="(const Real afCoordinate[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afCoordinate</em>[4]</td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00060">60</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7da09ff768d847f015f3b1b9830a8043"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="a7da09ff768d847f015f3b1b9830a8043" args="(const int afCoordinate[4])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>afCoordinate</em>[4]</td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00068">68</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d6cc1b910cf8d738b306995f3b442d4"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="a9d6cc1b910cf8d738b306995f3b442d4" args="(Real *const r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *const&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00076">76</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="ada9aac749e3d93a83a0e1bb67f3a091f"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="ada9aac749e3d93a83a0e1bb67f3a091f" args="(const Real scaler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>scaler</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00081">81</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a019e80f62dd12ea37b27b2d2a05aed64"></a><!-- doxytag: member="Ogre::Vector4::Vector4" ref="a019e80f62dd12ea37b27b2d2a05aed64" args="(const Vector3 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html#ae4417c4a3d52ee6fafd4a9103343958c">Ogre::Vector4::Vector4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00089">89</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a14ced50f2a18dd194c3d95d7d031c5dd"></a><!-- doxytag: member="Ogre::Vector4::dotProduct" ref="a14ced50f2a18dd194c3d95d7d031c5dd" args="(const Vector4 &amp;vec) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#a14ced50f2a18dd194c3d95d7d031c5dd">Ogre::Vector4::dotProduct</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Calculates the dot (scalar) product of this vector with another. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vec</td><td>Vector with which to calculate the dot product (together with this one). </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A float representing the dot product value. </dd></dl>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00389">389</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="ab53a41cf7ae8884b9fbac656d3fef338"></a><!-- doxytag: member="Ogre::Vector4::isNaN" ref="ab53a41cf7ae8884b9fbac656d3fef338" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Vector4.html#ab53a41cf7ae8884b9fbac656d3fef338">Ogre::Vector4::isNaN</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check whether this vector contains valid values. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00394">394</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00290">Ogre::Math::isNaN()</a>.</p>

</div>
</div>
<a class="anchor" id="a0aa33b3bb9f3b8b8ef7037eaf43bedc8"></a><!-- doxytag: member="Ogre::Vector4::operator!=" ref="a0aa33b3bb9f3b8b8ef7037eaf43bedc8" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector4::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00160">160</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a931e2318675762b34e23681247220c12"></a><!-- doxytag: member="Ogre::Vector4::operator*" ref="a931e2318675762b34e23681247220c12" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00196">196</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f3d72188da50999e3355da6fafa315b"></a><!-- doxytag: member="Ogre::Vector4::operator*" ref="a0f3d72188da50999e3355da6fafa315b" args="(const Vector4 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00205">205</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a4ddc0b778ff8255a715c75dcf9527847"></a><!-- doxytag: member="Ogre::Vector4::operator*=" ref="a4ddc0b778ff8255a715c75dcf9527847" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator*= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00321">321</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="abd72d0322c60e4c39121547ff8ddc516"></a><!-- doxytag: member="Ogre::Vector4::operator*=" ref="abd72d0322c60e4c39121547ff8ddc516" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator*= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00348">348</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a0b8c03743d6b8f72149f914f03998689"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="a0b8c03743d6b8f72149f914f03998689" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00178">178</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a785f4ea68705fdcca1dca8f09d4e1525"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="a785f4ea68705fdcca1dca8f09d4e1525" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00236">236</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="ada0bb188b87a7187e49e9acfa4994a7f"></a><!-- doxytag: member="Ogre::Vector4::operator+=" ref="ada0bb188b87a7187e49e9acfa4994a7f" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00301">301</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a37efa8bb4db9148fb43c8238b21c1906"></a><!-- doxytag: member="Ogre::Vector4::operator+=" ref="a37efa8bb4db9148fb43c8238b21c1906" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00330">330</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a78b1555cd0ea1bcd609086003444e614"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;" ref="a78b1555cd0ea1bcd609086003444e614" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00187">187</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a2123966b60d70dd14e7d165cbb47dba8"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;" ref="a2123966b60d70dd14e7d165cbb47dba8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00241">241</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc233206a14cef454dd0d9428848ebfc"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;=" ref="acc233206a14cef454dd0d9428848ebfc" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00311">311</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a8a23c96373a8d8163ea5b7819f2b22f3"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;=" ref="a8a23c96373a8d8163ea5b7819f2b22f3" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00339">339</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd54901fd7d3379584d0abd73a455518"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="afd54901fd7d3379584d0abd73a455518" args="(const Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator/ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00214">214</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50d14c785b00d8afbd124ffd0e9f0df5"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="a50d14c785b00d8afbd124ffd0e9f0df5" args="(const Vector4 &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> Ogre::Vector4::operator/ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00227">227</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a0c4b23241a97373da79afc6c993e1370"></a><!-- doxytag: member="Ogre::Vector4::operator/=" ref="a0c4b23241a97373da79afc6c993e1370" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator/= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00358">358</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4c4def28bfaf96a3326747d2ef2ed08f"></a><!-- doxytag: member="Ogre::Vector4::operator/=" ref="a4c4def28bfaf96a3326747d2ef2ed08f" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator/= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00372">372</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a465dfb677017e546628f87470d6dbcd6"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="a465dfb677017e546628f87470d6dbcd6" args="(const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assigns the value of the other vector. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rkVector</td><td>The other vector </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00133">133</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="a69daa0f94cfeb2c725521b1672204bf7"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="a69daa0f94cfeb2c725521b1672204bf7" args="(const Real fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00143">143</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59f17a6c7980f16a571f535b2c47a8fc"></a><!-- doxytag: member="Ogre::Vector4::operator=" ref="a59f17a6c7980f16a571f535b2c47a8fc" args="(const Vector3 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Vector4::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00168">168</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h_source.html#l00054">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h_source.html#l00054">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h_source.html#l00054">Ogre::Vector3::z</a>.</p>

</div>
</div>
<a class="anchor" id="ae7f48d8e2036594f4d65e2dca9fe286a"></a><!-- doxytag: member="Ogre::Vector4::operator==" ref="ae7f48d8e2036594f4d65e2dca9fe286a" args="(const Vector4 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Vector4::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00152">152</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<a class="anchor" id="aa55187a08d385c6c367cc16338ad23ce"></a><!-- doxytag: member="Ogre::Vector4::operator[]" ref="aa55187a08d385c6c367cc16338ad23ce" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Vector4::operator[] </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00104">104</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a96b4c5c76a199850c8c4e61be0feed7d"></a><!-- doxytag: member="Ogre::Vector4::operator[]" ref="a96b4c5c76a199850c8c4e61be0feed7d" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&amp; Ogre::Vector4::operator[] </td>
          <td>(</td>
          <td class="paramtype">const size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00111">111</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae8a0fc61bcae1449c843b3c5430cef1f"></a><!-- doxytag: member="Ogre::Vector4::ptr" ref="ae8a0fc61bcae1449c843b3c5430cef1f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* <a class="el" href="classOgre_1_1Vector4.html#ae8a0fc61bcae1449c843b3c5430cef1f">Ogre::Vector4::ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer accessor for direct copying. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00119">119</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h_source.html#l00109">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a641d847ad0e066e213db1e1dadf43cee"></a><!-- doxytag: member="Ogre::Vector4::ptr" ref="a641d847ad0e066e213db1e1dadf43cee" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* <a class="el" href="classOgre_1_1Vector4.html#ae8a0fc61bcae1449c843b3c5430cef1f">Ogre::Vector4::ptr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer accessor for direct copying. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00124">124</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa1980e262c207bcd24ca89f2db9bd061"></a><!-- doxytag: member="Ogre::Vector4::swap" ref="aa1980e262c207bcd24ca89f2db9bd061" args="(Vector4 &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Vector4.html#aa1980e262c207bcd24ca89f2db9bd061">Ogre::Vector4::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exchange the contents of this vector with another. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00096">96</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>References <a class="el" href="OgreSmallVector_8h_source.html#l00802">std::swap()</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">z</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="ab1ae444cc19c4468260df273cfe7bc37"></a><!-- doxytag: member="Ogre::Vector4::operator*" ref="ab1ae444cc19c4468260df273cfe7bc37" args="(const Real fScalar, const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00246">246</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a28efcff06858b5011bbc4250230539f0"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="a28efcff06858b5011bbc4250230539f0" args="(const Vector4 &amp;lhs, const Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00264">264</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ec63fee2f096c1e845076797d1e140a"></a><!-- doxytag: member="Ogre::Vector4::operator+" ref="a4ec63fee2f096c1e845076797d1e140a" args="(const Real lhs, const Vector4 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00273">273</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3b9ce3e33b491148161ac0e4116e709a"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;" ref="a3b9ce3e33b491148161ac0e4116e709a" args="(const Vector4 &amp;lhs, Real rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00282">282</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae2c5e61fcb0521bdea9c8d70069742f9"></a><!-- doxytag: member="Ogre::Vector4::operator&#45;" ref="ae2c5e61fcb0521bdea9c8d70069742f9" args="(const Real lhs, const Vector4 &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00291">291</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2dd10da814b39dc369ac4f96d0055a54"></a><!-- doxytag: member="Ogre::Vector4::operator/" ref="a2dd10da814b39dc369ac4f96d0055a54" args="(const Real fScalar, const Vector4 &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> operator/ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00255">255</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f9291e487a6dd6abdc8cc6325751cc3"></a><!-- doxytag: member="Ogre::Vector4::operator&lt;&lt;" ref="a7f9291e487a6dd6abdc8cc6325751cc3" args="(std::ostream &amp;o, const Vector4 &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function for writing to a stream. </p>

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00401">401</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a601896b4f2f5be1d7ccd0ee4a0500237"></a><!-- doxytag: member="Ogre::Vector4::w" ref="a601896b4f2f5be1d7ccd0ee4a0500237" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#a601896b4f2f5be1d7ccd0ee4a0500237">Ogre::Vector4::w</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00048">48</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h_source.html#l00389">dotProduct()</a>, <a class="el" href="OgreVector4_8h_source.html#l00160">operator!=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00205">operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00228">Ogre::Matrix4::operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00647">Ogre::operator*()</a>, <a class="el" href="OgreVector4_8h_source.html#l00348">operator*=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00178">operator+()</a>, <a class="el" href="OgreVector4_8h_source.html#l00301">operator+=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00187">operator-()</a>, <a class="el" href="OgreVector4_8h_source.html#l00311">operator-=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00227">operator/()</a>, <a class="el" href="OgreVector4_8h_source.html#l00372">operator/=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00152">operator==()</a>, <a class="el" href="OgreVector4_8h_source.html#l00096">swap()</a>, and <a class="el" href="OgreMatrix4_8h_source.html#l00631">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div>
<a class="anchor" id="ac1f14b711795b4d13140e992d9a3e6cf"></a><!-- doxytag: member="Ogre::Vector4::x" ref="ac1f14b711795b4d13140e992d9a3e6cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#ac1f14b711795b4d13140e992d9a3e6cf">Ogre::Vector4::x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00048">48</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h_source.html#l00389">dotProduct()</a>, <a class="el" href="OgreVector4_8h_source.html#l00160">operator!=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00205">operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00228">Ogre::Matrix4::operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00647">Ogre::operator*()</a>, <a class="el" href="OgreVector4_8h_source.html#l00348">operator*=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00178">operator+()</a>, <a class="el" href="OgreVector4_8h_source.html#l00301">operator+=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00187">operator-()</a>, <a class="el" href="OgreVector4_8h_source.html#l00311">operator-=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00227">operator/()</a>, <a class="el" href="OgreVector4_8h_source.html#l00372">operator/=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00152">operator==()</a>, <a class="el" href="OgreVector4_8h_source.html#l00096">swap()</a>, and <a class="el" href="OgreMatrix4_8h_source.html#l00631">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div>
<a class="anchor" id="a4a55a790632b60df0f536efa68de3bfa"></a><!-- doxytag: member="Ogre::Vector4::y" ref="a4a55a790632b60df0f536efa68de3bfa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#a4a55a790632b60df0f536efa68de3bfa">Ogre::Vector4::y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00048">48</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h_source.html#l00389">dotProduct()</a>, <a class="el" href="OgreVector4_8h_source.html#l00160">operator!=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00205">operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00228">Ogre::Matrix4::operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00647">Ogre::operator*()</a>, <a class="el" href="OgreVector4_8h_source.html#l00348">operator*=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00178">operator+()</a>, <a class="el" href="OgreVector4_8h_source.html#l00301">operator+=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00187">operator-()</a>, <a class="el" href="OgreVector4_8h_source.html#l00311">operator-=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00227">operator/()</a>, <a class="el" href="OgreVector4_8h_source.html#l00372">operator/=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00152">operator==()</a>, <a class="el" href="OgreVector4_8h_source.html#l00096">swap()</a>, and <a class="el" href="OgreMatrix4_8h_source.html#l00631">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div>
<a class="anchor" id="a389cf99ed365e8ec1d823c0a0cf52da3"></a><!-- doxytag: member="Ogre::Vector4::z" ref="a389cf99ed365e8ec1d823c0a0cf52da3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Vector4.html#a389cf99ed365e8ec1d823c0a0cf52da3">Ogre::Vector4::z</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00048">48</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

<p>Referenced by <a class="el" href="OgreVector4_8h_source.html#l00389">dotProduct()</a>, <a class="el" href="OgreVector4_8h_source.html#l00160">operator!=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00205">operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00228">Ogre::Matrix4::operator*()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00647">Ogre::operator*()</a>, <a class="el" href="OgreVector4_8h_source.html#l00348">operator*=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00178">operator+()</a>, <a class="el" href="OgreVector4_8h_source.html#l00301">operator+=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00187">operator-()</a>, <a class="el" href="OgreVector4_8h_source.html#l00311">operator-=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00227">operator/()</a>, <a class="el" href="OgreVector4_8h_source.html#l00372">operator/=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00133">operator=()</a>, <a class="el" href="OgreVector4_8h_source.html#l00152">operator==()</a>, <a class="el" href="OgreVector4_8h_source.html#l00096">swap()</a>, and <a class="el" href="OgreMatrix4_8h_source.html#l00631">Ogre::Matrix4::transformAffine()</a>.</p>

</div>
</div>
<a class="anchor" id="a6094638aa9e67551258f70f113d805d9"></a><!-- doxytag: member="Ogre::Vector4::ZERO" ref="a6094638aa9e67551258f70f113d805d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> <a class="el" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">Ogre::Vector4::ZERO</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreVector4_8h_source.html#l00407">407</a> of file <a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVector4_8h_source.html">OgreVector4.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
